Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions
openvrml::color_rgba_node Class Reference

Abstract base class for RGBA color nodes. More...

`#include <openvrml/node.h>`

Inheritance diagram for openvrml::color_rgba_node:
[legend]

List of all members.

## Public Member Functions

virtual | ~color_rgba_node ()=0 throw ()
| Destroy.
const std::vector < openvrml::color_rgba > & | color_rgba () const throw ()
| Get the `color_rgba` array encapsulated by this `node`.

## Protected Member Functions

| color_rgba_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual color_rgba_node * | to_color_rgba () throw ()
| Cast to a `color_rgba_node`.
virtual const std::vector < openvrml::color_rgba > & | do_color_rgba () const =0 throw ()
| Get the `color_rgba` array encapsulated by this `node`.

## Detailed Description

Abstract base class for RGBA color nodes.

## Constructor & Destructor Documentation

openvrml::color_rgba_node::~color_rgba_node | ( |  | ) | throw ()`[pure virtual]`

Destroy.

openvrml::color_rgba_node::color_rgba_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |  | throw ()`[protected]`

Construct.

Parameters:

  [in] | type | the node_type associated with the node.
  [in] | scope | the scope the node belongs to.

## Member Function Documentation

const std::vector< openvrml::color_rgba > & openvrml::color_rgba_node::color_rgba | ( |  | ) | const throw ()

Get the `color_rgba` array encapsulated by this `node`.

This function delegates to `do_color_rgba`.

Returns:
  the `color_rgba` array for this `node`.

openvrml::color_rgba_node * openvrml::color_rgba_node::to_color_rgba | ( |  | ) | throw ()`[private, virtual]`

Cast to a `color_rgba_node`.

Returns:
  a pointer to this `color_rgba_node`.

Reimplemented from openvrml::node.

const std::vector< openvrml::color_rgba > & openvrml::color_rgba_node::do_color_rgba | ( |  | ) | const throw ()`[private, pure virtual]`

Get the `color_rgba` array encapsulated by this `node`.

Returns:
  the `color_rgba` array for this `node`.